server:
  port: 8070
spring:
  profiles:
    active: dev #默认为开发环境
  application:
    name: mall-portal-member
  cloud:
    nacos:
      discovery:
        server-addr: 127.0.0.1:8848
mybatis:
  mapper-locations:
    - classpath:dao/*.xml
    - classpath*:com/**/mapper/*.xml

jwt:
  tokenHeader: Authorization #JWT存储的请求头
  secret: mall-portal-secret #JWT加解密使用的密钥
  expiration: 604800 #JWT的超期限时间(60*60*24*7)
  tokenHead: Bearer  #JWT负载中拿到开头

secure:
  ignored:
    urls: #安全路径白名单
      - /swagger-ui.html
      - /swagger-resources/**
      - /swagger/**
      - /**/v2/api-docs
      - /**/*.js
      - /**/*.css
      - /**/*.png
      - /**/*.ico
      - /webjars/springfox-swagger-ui/**
      - /druid/**
      - /actuator/**
      - /sso/**
      - /wechat/**
      - /home/**
      - /product/**
      - /brand/**

# 自定义redis key
redis:
  database: mall
  key:
    authCode: 'ums:authCode'
    telLoginCode: 'ums:authCode'
    orderId: 'oms:orderId'
    member: 'ums:member'
  expire:
    authCode: 90 # 验证码超期时间
    authLoginCode: 240 # 验证码超期时间
    common: 86400 # 24小时

sms:
  accessKeyId: LTAICB9TH0OAN3yJ
  accessKeySecret: lCuyL3MUQRLfoVw39W0NqWdVGoLV60
  signName: 慧云网安
wx:
  mp:
    aesKey: 123
    appId: wxbe90cc7c5233dd84
    secret: ec4a18ce1a7bcf17cf592c3d57cec68a
    token: 123
    url: http://tanhui.hongweisoft.com/mall-portal-member/wechat/h5/userInfo


